# Uses of Interface
org.bukkit.entity.PufferFish

Packages that use PufferFish
Package
Description
com.destroystokyo.paper.entity.ai
io.papermc.paper.event.entity

## Uses of PufferFish in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type PufferFish
Modifier and Type
Field
Description
`static final GoalKey<PufferFish>`
VanillaGoal.`PUFFERFISH_PUFF`

## Uses of PufferFish in io.papermc.paper.event.entity

Methods in io.papermc.paper.event.entity that return PufferFish
Modifier and Type
Method
Description
`@NotNull PufferFish`
PufferFishStateChangeEvent.`getEntity()`
Constructors in io.papermc.paper.event.entity with parameters of type PufferFish
Modifier
Constructor
Description
``
`PufferFishStateChangeEvent(@NotNull PufferFish entity, int newPuffState)`